Bug 645230 - no initrd after fc13 update
no initrd after fc13 update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
13
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-21 00:40 EDT by Jerry Amundson
Modified: 2011-06-28 07:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yum.log (23.49 KB, text/plain)
2010-10-21 20:40 EDT, Jerry Amundson
no flags Details
messages (235.45 KB, text/plain)
2010-10-21 20:42 EDT, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2010-10-21 00:40:16 EDT
Description of problem:
no initrd after fc13 update

Version-Release number of selected component (if applicable):


How reproducible:
at least once

Steps to Reproduce:
1.install
2.update
3.
  
Actual results:
Kernel Panic - not syncing: VFS unable to mount root fs on unknown-block (0,0)

Expected results:
Happiness.

Additional info:
http://fedoraforum.org/forum/showthread.php?t=246592
http://fedoraforum.org/forum/showthread.php?t=249039
http://forums.fedoraforum.org/showthread.php?p=1389424

From the bad grub.conf:
default=0
timeout=0
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.34.7-56.fc13.i686)
        root (hd0,0)
        kernel /vmlinuz-2.6.34.7-56.fc13.i686 ro root=/dev/mapper/vg_elm-LogVol00 rd_MD_UUID=a6e5ac69:727267da:bef42c99:8f44ead1 rd_LVM_LV=vg_elm/LogVol00 rd_LVM_LV=vg_elm/LogVol01 rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
title Fedora (2.6.33.3-85.fc13.i686)
        root (hd0,0)
        kernel /vmlinuz-2.6.33.3-85.fc13.i686 ro root=/dev/mapper/vg_elm-LogVol00 rd_MD_UUID=a6e5ac69:727267da:bef42c99:8f44ead1 rd_LVM_LV=vg_elm/LogVol00 rd_LVM_LV=vg_elm/LogVol01 rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
        initrd /initramfs-2.6.33.3-85.fc13.i686.img

After 
yum erase $(rpm -qa kernel | sort | tail -1)
and
yum update
this is grub.conf:

default=0
timeout=0
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.34.7-56.fc13.i686)
        root (hd0,0)
        kernel /vmlinuz-2.6.34.7-56.fc13.i686 ro root=/dev/mapper/vg_elm-LogVol00 rd_MD_UUID=a6e5ac69:727267da:bef42c99:8f44ead1 rd_LVM_LV=vg_elm/LogVol00 rd_LVM_LV=vg_elm/LogVol01 rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
title Fedora (2.6.33.3-85.fc13.i686)
        root (hd0,0)
        kernel /vmlinuz-2.6.33.3-85.fc13.i686 ro root=/dev/mapper/vg_elm-LogVol00 rd_MD_UUID=a6e5ac69:727267da:bef42c99:8f44ead1 rd_LVM_LV=vg_elm/LogVol00 rd_LVM_LV=vg_elm/LogVol01 rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
        initrd /initramfs-2.6.33.3-85.fc13.i686.img
Comment 1 Jerry Amundson 2010-10-21 00:42:42 EDT
Oops, poor cut/paste. The new grub.conf does have the needed initrd:
title Fedora (2.6.34.7-56.fc13.i686)
        root (hd0,0)
        kernel /vmlinuz-2.6.34.7-56.fc13.i686 ro root=/dev/mapper/vg_elm-LogVol00 rd_MD_UUID=a6e5ac69:727267da:bef42c99:8f44ead1 rd_LVM_LV=vg_elm/LogVol00 rd_LVM_LV=vg_elm/LogVol01 rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
        initrd /initramfs-2.6.34.7-56.fc13.i686.img
Comment 2 Brian Lane 2010-10-21 11:43:47 EDT
In the future, could you summarize the problem instead of pointing to external resource. It makes it easier to triage the bugs.

It looks like the problem is that the new initramfs-* file isn't created in /boot/ and therefore grub.conf doesn't include it.

Could you attach the /var/log/yum.log file to this bug? That should contain any errors logged during the install of the new kernel.
Comment 3 Jerry Amundson 2010-10-21 20:27:43 EDT
(In reply to comment #2)
> In the future, could you summarize the problem instead of pointing to external
> resource. It makes it easier to triage the bugs.

OK, sorry. What I was seeing seemed so implausible, that I thought it would help to show support from other experiences in the community... :-)
Comment 4 Jerry Amundson 2010-10-21 20:40:22 EDT
Created attachment 454958 [details]
yum.log

Not much to see in yum.log - I'll attach messages shortly.
Comment 5 Jerry Amundson 2010-10-21 20:42:48 EDT
Created attachment 454959 [details]
messages
Comment 6 Brian Lane 2010-10-21 20:48:30 EDT
Nothing out of the ordinary in either of these. How much space do you have available in your /boot partition?
Comment 7 Jerry Amundson 2010-10-21 22:17:49 EDT
(In reply to comment #6)
> Nothing out of the ordinary in either of these. How much space do you have
> available in your /boot partition?

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/md1                495832     97839    372394  21% /boot
Comment 8 Bug Zapper 2011-05-31 06:56:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-28 07:22:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.